import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    String projectName = "jdk";

    em
        .createQuery(
            "SELECT NEW EmpMenu(e.name, e.department.name) "
                + "FROM Project p JOIN p.students e " + "WHERE p.name = :project "
                + "ORDER BY e.name").setParameter("project", projectName).getResultList();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}
class EmpMenu {
  private String employeeName;
  private String departmentName;

  public EmpMenu(String employeeName, String departmentName) {
      this.employeeName = employeeName;
      this.departmentName = departmentName;
  }

  public String getEmployeeName() { 
      return employeeName;
  }
  
  public String getDepartmentName() {
      return departmentName;
  }
}

